package sessions

import (
	"context"
	sessionv1 "git.sch9.ru/new_gate/ms-auth/pkg/go/gen/proto/session/v1"
	"google.golang.org/protobuf/types/known/emptypb"
)

type SessionHandlers interface {
	Create(ctx context.Context, req *sessionv1.CreateSessionRequest) (*sessionv1.CreateSessionResponse, error)
	Read(ctx context.Context, req *sessionv1.ReadSessionRequest) (*sessionv1.ReadSessionResponse, error)
	Update(ctx context.Context, req *sessionv1.UpdateSessionRequest) (*emptypb.Empty, error)
	Delete(ctx context.Context, req *sessionv1.DeleteSessionRequest) (*emptypb.Empty, error)
}
